Lists
Delete Fan from List
Delete a fan from a specific list.
Remove a fan from one of your lists.
https://v1.apifansly.com/api/fansly
DELETE
/{account_id}/lists/users
Get Started
All requests to the Fansly API require an API Key. See the Authentication page for details.
curl -X DELETE "https://v1.apifansly.com/api/fansly/{account_id}/lists/users" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"userId": "fanid",
"listId": "listid"
}'fetch("https://v1.apifansly.com/api/fansly/{account_id}/lists/users", {
method: "DELETE",
headers: {
"x-api-key": "YOUR_API_KEY",
"Content-Type": "application/json"
},
body: JSON.stringify({
userId: "fanid",
listId: "listid"
})
})import requests
url = "https://v1.apifansly.com/api/fansly/{account_id}/lists/users"
headers = {
"x-api-key": "YOUR_API_KEY",
"Content-Type": "application/json"
}
payload = {
"userId": "fanid",
"listId": "listid"
}
response = requests.delete(url, headers=headers, json=payload)
print(response.json())import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
HttpClient client = HttpClient.newHttpClient();
String requestBody = "{\"userId\":\"fanid\",\"listId\":\"listid\"}";
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://v1.apifansly.com/api/fansly/{account_id}/lists/users"))
.header("x-api-key", "YOUR_API_KEY")
.header("Content-Type", "application/json")
.DELETE(HttpRequest.BodyPublishers.ofString(requestBody))
.build();
client.sendAsync(request, HttpResponse.BodyHandlers.ofString())
.thenApply(HttpResponse::body)
.thenAccept(System.out::println)
.join();using System.Net.Http;
using System.Text;
using System.Threading.Tasks;
var client = new HttpClient();
client.DefaultRequestHeaders.Add("x-api-key", "YOUR_API_KEY");
var jsonBody = "{\"userId\":\"fanid\",\"listId\":\"listid\"}";
var content = new StringContent(jsonBody, Encoding.UTF8, "application/json");
var response = await client.DeleteAsync("https://v1.apifansly.com/api/fansly/{account_id}/lists/users", content);
var responseString = await response.Content.ReadAsStringAsync();
Console.WriteLine(responseString);package main
import (
"bytes"
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://v1.apifansly.com/api/fansly/{account_id}/lists/users"
payload := []byte(`{"userId":"fanid","listId":"listid"}`)
req, _ := http.NewRequest("DELETE", url, bytes.NewBuffer(payload))
req.Header.Set("x-api-key", "YOUR_API_KEY")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}Path Parameters
account_id*
stringThe unique identifier for the connected account.
Request Body
userId*
stringThe unique identifier (userId) of the fan to delete from the list.
listId*
stringThe unique identifier of the list to delete the fan from.
Response
{
"statusCode": 200,
"message": "Success",
"data": {
"status_code": 200,
"data": {
"success": true,
"response": [
"fan_id_string"
]
}
},
"timestamp": "2026-06-16T20:51:07.068Z"
}